# Class CIM_ContainedProposal
extends CIM_Component

ContainedProposal holds an ordered list of SAProposals that make up an SANegotiationAction. If the referenced NegotiationAction is an IKEAction, then the SAProposal objects MUST be IKEProposals. If the referenced NegotiationAction object is an IPsecTransport/TunnelAction, then the referenced SAProposal objects MUST be IPsecProposals.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ContainedProposal

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | ContainedProposal holds an ordered list of SAProposals that make up an SANegotiationAction. If the referenced NegotiationAction is an IKEAction, then the SAProposal objects MUST be IKEProposals. If the referenced NegotiationAction object is an IPsecTransport/TunnelAction, then the referenced SAProposal objects MUST be IPsecProposals.
MappingStrings | string | IPSP Policy Model.IETF|ContainedProposal
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SequenceNumber | uint16 |
Description | string | SequenceNumber indicates the ordering to be used when chosing from among the proposals. Lower-valued proposals are preferred over proposals with higher values. For ContainedProposals that reference the same SANegotiationAction, SequenceNumber values MUST be unique.
MappingStrings | string | IPSP Policy Model.IETF|ContainedProposal.SequenceNumber

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ContainedProposal | CIM_SANegotiationAction
PartComponent | CIM_ContainedProposal | CIM_SAProposal

## Class Methods